Bug 2522 - passdb/pdb_interface.c: "const unsigned char*" assigned to "const char *"
Summary: passdb/pdb_interface.c: "const unsigned char*" assigned to "const char *"
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: Build environment (show other bugs)
Version: 3.0.12
Hardware: SGI IRIX
: P4 normal
Target Milestone: none
Assignee: James Peach
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-22 14:25 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments
change "const char *" to "const uchar *" (995 bytes, patch)
2005-03-22 20:08 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-22 14:25:22 UTC
cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 63
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

                        lm_pwd = pdb_get_lanman_passwd(pass);
                               ^

cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 69
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

                        nt_pwd = pdb_get_nt_passwd(pass);
                               ^

cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 247
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

        lm_pw = pdb_get_lanman_passwd( sam_acct );
              ^

cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 248
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

        nt_pw = pdb_get_nt_passwd( sam_acct );
              ^

cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 281
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

        lm_pw = pdb_get_lanman_passwd( sam_acct );
              ^

cc-1515 cc: WARNING File = passdb/pdb_interface.c, Line = 282
  A value of type "const unsigned char *" cannot be assigned to an entity of
          type "const char *".

        nt_pw = pdb_get_nt_passwd( sam_acct );
              ^
Comment 1 Jason Mader (mail bounces back) 2005-03-22 20:08:37 UTC
Created attachment 1088 [details]
change "const char *" to "const uchar *"
Comment 2 Gerald (Jerry) Carter 2005-03-24 06:26:03 UTC
lowering priority
Comment 3 James Peach 2005-07-30 22:46:05 UTC
Reassign IRIX bugs to me.
Comment 4 Jason Mader (mail bounces back) 2005-08-13 06:16:38 UTC
This has been fixed since Revision 5951.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:23:09 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.